> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao Seed 2.0 - 完全なAPIリファレンス

> - OpenAI SDK形式でDoubao Seed 2.0シリーズモデルを呼び出し
- 同期処理モード、リアルタイムレスポンス
- **テキストチャット**：シングルまたはマルチターンのコンテキスト会話
- **システムプロンプト**：AIの役割と動作をカスタマイズ
- **マルチモーダル入力**：テキスト + 画像 + 動画の混合入力に対応
- **ディープシンキング**：思考チェーンモードによる深層推論に対応
- **ツール呼び出し**：Function Callingに対応
- **構造化出力**：JSON Object / JSON Schema形式の出力に対応
- 💡 すぐに使い始めたいですか？[クイックスタート](./doubao-seed-2.0-quickstart)をご覧ください

<Note>
  **BaseURL**：デフォルトの BaseURL は `https://direct.evolink.ai` で、テキストモデルへの対応が優れており、長時間接続をサポートします。`https://api.evolink.ai` はマルチモーダルの主力エンドポイントで、テキストモデルに対しては代替アドレスとして使用されます。
</Note>


## OpenAPI

````yaml ja/api-manual/language-series/doubao-seed-2.0/doubao-seed-2.0-reference.json POST /v1/chat/completions
openapi: 3.1.0
info:
  title: Doubao Seed 2.0 完全なAPIリファレンス
  description: Doubao Seed 2.0 チャットインターフェースの完全なAPIリファレンス、すべてのパラメータと高度な機能を含む
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://direct.evolink.ai
    description: 本番環境（推奨）
  - url: https://api.evolink.ai
    description: 代替 URL
security:
  - bearerAuth: []
tags:
  - name: チャット生成
    description: AIチャット生成関連API
paths:
  /v1/chat/completions:
    post:
      tags:
        - チャット生成
      summary: Doubao Seed 2.0 チャットインターフェース
      description: |-
        - OpenAI SDK形式でDoubao Seed 2.0シリーズモデルを呼び出し
        - 同期処理モード、リアルタイムレスポンス
        - **テキストチャット**：シングルまたはマルチターンのコンテキスト会話
        - **システムプロンプト**：AIの役割と動作をカスタマイズ
        - **マルチモーダル入力**：テキスト + 画像 + 動画の混合入力に対応
        - **ディープシンキング**：思考チェーンモードによる深層推論に対応
        - **ツール呼び出し**：Function Callingに対応
        - **構造化出力**：JSON Object / JSON Schema形式の出力に対応
        - 💡 すぐに使い始めたいですか？[クイックスタート](./doubao-seed-2.0-quickstart)をご覧ください
      operationId: createChatCompletionDoubaoSeed20
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatCompletionRequest'
            examples:
              simple_text:
                summary: シングルターンテキストチャット
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: 自己紹介をしてください
              multi_turn:
                summary: マルチターン会話（コンテキスト理解）
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: Pythonとは何ですか？
                    - role: assistant
                      content: Pythonは高水準プログラミング言語です...
                    - role: user
                      content: その利点は何ですか？
              system_prompt:
                summary: システムプロンプトの使用
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: system
                      content: あなたはプロのPythonプログラミングアシスタントです。簡潔な言葉で質問に答えてください。
                    - role: user
                      content: ファイルの読み取り方法は？
              vision:
                summary: マルチモーダル入力（テキスト + 画像）
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content:
                        - type: text
                          text: この画像を詳しく説明してください中的场景和主要元素。
                        - type: image_url
                          image_url:
                            url: https://example.com/image.png
              thinking_mode:
                summary: ディープシンキングモードを有効化
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: √2が無理数であることを証明してください
                  thinking:
                    type: enabled
                  max_completion_tokens: 16384
              code_generation:
                summary: コード専用モデルの使用
                value:
                  model: doubao-seed-2.0-code
                  messages:
                    - role: system
                      content: あなたは上級プログラミングアシスタントです。
                    - role: user
                      content: Pythonでクイックソートアルゴリズムを実装してください
      responses:
        '200':
          description: チャット生成成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatCompletionResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 400
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 401
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 402
                  message: Insufficient quota
                  type: insufficient_quota_error
                  fallback_suggestion: https://evolink.ai/dashboard/billing
        '403':
          description: アクセス権限なし
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 403
                  message: Access denied for this model
                  type: permission_error
                  param: model
        '404':
          description: リソースが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 404
                  message: Specified model not found
                  type: not_found_error
                  param: model
                  fallback_suggestion: doubao-seed-2.0-pro
        '413':
          description: リクエストボディが大きすぎます
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 413
                  message: Image file too large
                  type: request_too_large_error
                  param: content
                  fallback_suggestion: compress image to under 10MB
        '429':
          description: リクエスト頻度制限超過
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 429
                  message: Rate limit exceeded
                  type: rate_limit_error
                  fallback_suggestion: retry after 60 seconds
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 500
                  message: Internal server error
                  type: internal_server_error
                  fallback_suggestion: try again later
        '502':
          description: アップストリームサービスエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 502
                  message: Upstream AI service unavailable
                  type: upstream_error
                  fallback_suggestion: try different model
        '503':
          description: サービスが一時的に利用不可
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 503
                  message: Service temporarily unavailable
                  type: service_unavailable_error
                  fallback_suggestion: retry after 30 seconds
components:
  schemas:
    ChatCompletionRequest:
      type: object
      required:
        - model
        - messages
      properties:
        model:
          type: string
          description: |-
            チャットモデル名

            - `doubao-seed-2.0-pro`: フラッグシップ版、総合能力最強、複雑な推論と高品質生成に最適
            - `doubao-seed-2.0-lite`: 軽量版、より高速、コストパフォーマンスが高い
            - `doubao-seed-2.0-mini`: 超高速版、レスポンス最速、シンプルなタスクに最適
            - `doubao-seed-2.0-code`: コード専用版、コード生成と理解に最適化
          enum:
            - doubao-seed-2.0-pro
            - doubao-seed-2.0-lite
            - doubao-seed-2.0-mini
            - doubao-seed-2.0-code
          default: doubao-seed-2.0-pro
          example: doubao-seed-2.0-pro
        messages:
          type: array
          description: チャットメッセージリスト，マルチターン会話とマルチモーダル入力（テキスト、画像、動画）に対応
          items:
            $ref: '#/components/schemas/Message'
          minItems: 1
        thinking:
          type: object
          description: |-
            控制模型是否ディープシンキングモードを有効化

            モデルによってサポート状況やデフォルト値が異なります
          properties:
            type:
              type: string
              description: |-
                思考モード

                - `enabled`: 开启思考モード，模型强制先思考再回答
                - `disabled`: 关闭思考モード，模型直接回答问题，不进行思考
                - `auto`: 自动思考モード，模型根据问题自主判断是否需要思考
              enum:
                - enabled
                - disabled
                - auto
              example: enabled
          required:
            - type
        stream:
          type: boolean
          description: >-
            レスポンスコンテンツをストリーミングで返すかどうか


            - `false`: モデルがすべてのコンテンツを生成した後に一括で結果を返す

            - `true`: SSEプロトコルに従いモデル生成コンテンツをチャンクごとに返し、`data:
            [DONE]`メッセージで終了します。streamがtrueの場合、stream_optionsフィールドを設定してトークン使用量統計情報を取得できます
          default: false
          example: false
        stream_options:
          type: object
          nullable: true
          description: ストリーミングレスポンスのオプション。streamがtrueの場合、このフィールドを設定できます
          properties:
            include_usage:
              type: boolean
              nullable: true
              description: >-
                モデルのストリーミング出力時、出力終了前にこのリクエストのトークン使用量情報を出力するかどうか


                - `true`: `data:
                [DONE]`メッセージの前に追加のchunkが返され、usageフィールドにリクエスト全体のトークン使用量が出力され、choicesフィールドは空の配列になります

                - `false`: 出力終了前にトークン使用量情報を返すchunkはありません
              default: false
              example: true
            chunk_include_usage:
              type: boolean
              nullable: true
              description: >-
                モデルのストリーミング出力時、各chunkにこのリクエストから当該chunk出力時点までの累計トークン使用量情報を出力するかどうか


                - `true`: 返されるusageフィールドに、このリクエストから当該chunk出力時点までの累計トークン使用量を出力

                - `false`: 各chunkでトークン使用量情報を返しません
              default: false
        max_tokens:
          type: integer
          nullable: true
          description: |-
            モデル回答の最大長（単位: トークン）

            **注意**:
            - 模型回答不包含思考チェーンの内容（模型回答 = モデル出力 - モデル思考チェーン）
            - 出力トークンの総長はモデルのコンテキスト長制限も受けます
            - max_completion_tokensと同時に設定できません
          default: 4096
          example: 4096
        max_completion_tokens:
          type: integer
          nullable: true
          description: >-
            控制模型输出的最大长度，包括模型回答和思考チェーンの内容长度（单位 token）


            **说明**:

            - 値の範囲: [0, 65536]

            -
            設定後max_tokensのデフォルト値は無効になり、モデルは必要に応じてコンテンツ（回答と思考チェーン）を出力し、この値に達するまで続けます

            - max_tokensと同時に設定できません

            - 建议在ディープシンキングモードを有効化时使用此参数
          minimum: 0
          maximum: 65536
          example: 16384
        temperature:
          type: number
          nullable: true
          description: |-
            サンプリング温度、出力のランダム性を制御

            **说明**:
            - 値の範囲: [0, 2]
            - 低い値（例: 0.2）: より確定的で集中した出力
            - 高い値（例: 0.8）: よりランダムで創造的な出力
            - 値が0の場合、モデルは対数確率が最大の1つのトークンのみを考慮
            - temperatureまたはtop_pのいずれか一方のみを調整することを推奨
          minimum: 0
          maximum: 2
          default: 1
          example: 0.7
        top_p:
          type: number
          nullable: true
          description: |-
            核サンプリング確率閾値

            **说明**:
            - 値の範囲: [0, 1]
            - モデルはtop_p内の確率質量を持つトークン結果を考慮します
            - 0.1 確率質量が最も高い上位10%のトークンのみを考慮することを意味します
            - 値が大きいほど生成のランダム性が高く、値が小さいほど生成の確定性が高い
            - temperatureまたはtop_pのいずれか一方のみを調整することを推奨
          minimum: 0
          maximum: 1
          default: 0.7
          example: 0.9
        stop:
          description: |-
            モデルはstopフィールドで指定された文字列に遭遇すると生成を停止し、その文字列自体は出力されません。最大4つの文字列をサポート

            **注意**: ディープシンキングモデルはこのフィールドをサポートしていません
          nullable: true
          oneOf:
            - type: string
            - type: array
              items:
                type: string
              maxItems: 4
          example:
            - こんにちは
            - 天気
        reasoning_effort:
          type: string
          nullable: true
          description: |-
            思考の作業量を制限し、思考深度を減らすと速度が向上し、思考に費やすトークンが少なくなります

            - `minimal`: 思考を無効化、直接回答
            - `low`: 軽量思考、高速レスポンス重視
            - `medium`: バランスモード、速度と深度を両立
            - `high`: 深層分析、複雑な問題を処理
          enum:
            - minimal
            - low
            - medium
            - high
          default: medium
          example: medium
        response_format:
          type: object
          description: |-
            モデルの回答形式を指定

            3つの形式に対応: text（デフォルト）、json_object、json_schema
          properties:
            type:
              type: string
              description: |-
                回答形式タイプ

                - `text`: デフォルトテキスト形式
                - `json_object`: モデルの返信内容をJSONオブジェクト構造で組織化
                - `json_schema`: モデルの返信内容はschemaフィールドで定義されたJSON構造に従います
              enum:
                - text
                - json_object
                - json_schema
              default: text
              example: text
            json_schema:
              type: object
              description: JSON構造体の定義（typeがjson_schemaの場合必須）
              properties:
                name:
                  type: string
                  description: ユーザー定義のJSON構造名
                description:
                  type: string
                  nullable: true
                  description: 返信用途の説明、モデルはこの説明に基づいて該当形式での返信方法を決定します
                schema:
                  type: object
                  description: 返信形式のJSON形式定義、JSON Schemaオブジェクトの形式で記述
                strict:
                  type: boolean
                  nullable: true
                  description: |-
                    厳格遵守モードを有効にするかどうか

                    - `true`: モデルは常にschemaフィールドで定義された形式に厳格に従います
                    - `false`: モデルはschemaフィールドで定義された構造にできる限り従います
                  default: false
              required:
                - name
                - schema
          required:
            - type
        frequency_penalty:
          type: number
          nullable: true
          description: |-
            頻度ペナルティ係数

            **说明**:
            - 値の範囲: [-2.0, 2.0]
            - 正の値の場合、新しいトークンのテキスト中の出現頻度に基づいてペナルティを課し、モデルが逐語的に繰り返す可能性を低減します
          minimum: -2
          maximum: 2
          default: 0
          example: 0
        presence_penalty:
          type: number
          nullable: true
          description: >-
            存在ペナルティ係数


            **说明**:

            - 値の範囲: [-2.0, 2.0]

            -
            正の値の場合、新しいトークンがこれまでのテキストに出現したかどうかに基づいてペナルティを課し、モデルが新しいトピックについて話す可能性を高めます
          minimum: -2
          maximum: 2
          default: 0
          example: 0
        logprobs:
          type: boolean
          nullable: true
          description: |-
            出力トークンの対数確率を返すかどうか

            - `false`: 対数確率情報を返さない
            - `true`: 返回メッセージの内容中每个输出 token 的对数概率

            **注意**: ディープシンキングモデルはこのフィールドをサポートしていません
          default: false
        top_logprobs:
          type: integer
          nullable: true
          description: |-
            各出力トークン位置で最も返される可能性の高いトークン数を指定、各トークンには関連する対数確率があります

            - 値の範囲: [0, 20]
            - logprobsがtrueの場合のみ設定可能

            **注意**: ディープシンキングモデルはこのフィールドをサポートしていません
          minimum: 0
          maximum: 20
          default: 0
        logit_bias:
          type: object
          nullable: true
          description: |-
            指定トークンがモデル出力に出現する確率を調整

            **说明**:
            - mapを受け取り、キーは語彙のトークンID、値はバイアス値
            - バイアス値の範囲: [-100, 100]
            - -1 は選択の可能性を減少させ、1は選択の可能性を増加させます
            - -100は完全にそのトークンの選択を禁止し、100はそのトークンのみ選択可能にします

            **注意**: ディープシンキングモデルはこのフィールドをサポートしていません
          additionalProperties:
            type: integer
            minimum: -100
            maximum: 100
        tools:
          type: array
          nullable: true
          description: 呼び出すツールのリスト、モデルの返信にツール呼び出しリクエストを含めることができます
          items:
            $ref: '#/components/schemas/Tool'
        parallel_tool_calls:
          type: boolean
          description: |-
            このリクエストで、モデルの返信に複数の呼び出すべきツールを含めることを許可するかどうか

            - `true`: 複数の呼び出すべきツールの返却を許可
            - `false`: 返される呼び出し可能なツール数 <= 1
          default: true
        tool_choice:
          description: |-
            このリクエストで、モデルの返信に呼び出すべきツールがあるかどうか

            **文字列モード**:
            - `none`: モデルの返信に呼び出すべきツールを含めない
            - `required`: モデルの返信に呼び出すべきツールを必ず含める
            - `auto`: モデルが返信情報に呼び出すべきツールがあるかどうかを自動判断（ツールが存在する場合のデフォルト値）

            **オブジェクトモード**: 呼び出すツールの範囲を指定
          oneOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceObject'
    ChatCompletionResponse:
      type: object
      properties:
        id:
          type: string
          description: このリクエストの一意識別子
          example: 0217714854126607f5a9cf8ed5b018c76e4ad3dc2810db57ffb50
        model:
          type: string
          description: 本次请求実際に使用されたモデル名和版本
          example: doubao-seed-2-0-pro-260215
        object:
          type: string
          enum:
            - chat.completion
          description: レスポンスタイプ，chat.completionに固定
          example: chat.completion
        service_tier:
          type: string
          description: |-
            今回のリクエストのサービスティア

            - `default`: デフォルトサービスティア
            - `scale`: 保証パッケージ枠を使用
          enum:
            - default
            - scale
          example: default
        created:
          type: integer
          description: このリクエストの作成時刻のUnixタイムスタンプ（秒）
          example: 1771485416
        choices:
          type: array
          description: このリクエストのモデル出力コンテンツ
          items:
            $ref: '#/components/schemas/Choice'
        usage:
          $ref: '#/components/schemas/Usage'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
              description: HTTPステータスエラーコード
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ名
            fallback_suggestion:
              type: string
              description: エラー時の提案
    Message:
      type: object
      required:
        - role
        - content
      properties:
        role:
          type: string
          description: |-
            メッセージの役割

            - `user`: ユーザーメッセージ
            - `assistant`: AIアシスタントメッセージ（マルチターン会話用）
            - `system`: システムプロンプト（AIのロールと動作を設定）
            - `tool`: ツールが返すメッセージ（ツール呼び出しシーン）
          enum:
            - user
            - assistant
            - system
            - tool
          example: user
        content:
          type: array
          description: |-
            消息コンテンツ。2つの形式に対応：

            **1. 纯文本字符串**: 可直接传入字符串，如 `"content": "请介绍一下自己"`

            **2. オブジェクト配列**（テキスト、画像、動画などマルチモーダル入力に対応）：下記の例を参照
          items:
            $ref: '#/components/schemas/ContentPart'
        reasoning_content:
          type: string
          description: |-
            模型消息中思考チェーンの内容（仅 assistant 角色）

            仅在多轮对话中传入历史思考チェーンの内容时使用
        tool_calls:
          type: array
          description: モデルメッセージのツール呼び出し部分（assistantロールのみ）
          items:
            $ref: '#/components/schemas/ToolCall'
        tool_call_id:
          type: string
          description: |-
            モデルが生成したツール呼び出しリクエストID（toolロールのみこのフィールドが必要）

            ツール返却結果とモデルリクエストを関連付け、複数ツール呼び出し時の情報混乱を防止
    Tool:
      type: object
      required:
        - type
        - function
      properties:
        type:
          type: string
          description: ツールタイプ，現在functionのみサポート
          enum:
            - function
        function:
          type: object
          required:
            - name
          description: 関数定義
          properties:
            name:
              type: string
              description: 呼び出された関数名称
            description:
              type: string
              description: 関数の説明、モデルはこれを使用してこのツールを呼び出すかどうかを判断します
            parameters:
              type: object
              description: |-
                関数リクエストパラメータ、JSON Schema形式で記述

                **注意**:
                - すべてのフィールド名は大文字小文字を区別
                - parameters 有効なJSON Schemaオブジェクトである必要があります
                - 英語のフィールド名を推奨、日本語はdescriptionフィールドに記載
    ToolChoiceObject:
      type: object
      required:
        - type
        - function
      description: 呼び出すツールの範囲を指定
      properties:
        type:
          type: string
          description: 呼び出しのタイプ
          enum:
            - function
        function:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: 呼び出すツールの名前
    Choice:
      type: object
      properties:
        index:
          type: integer
          description: choices リスト内の現在の要素のインデックス
          example: 0
        message:
          $ref: '#/components/schemas/AssistantMessage'
        finish_reason:
          type: string
          description: >-
            モデルがトークン生成を停止した理由


            - `stop`: モデル出力が自然に終了、またはstopパラメータで指定されたフィールドにヒットして切り捨てられました

            - `length`: モデル出力がmax_tokens / max_completion_tokens /
            コンテキスト長制限に達したため切り捨てられました

            - `content_filter`: モデル出力がコンテンツ審査によりブロック

            - `tool_calls`: モデルがツールを呼び出しました
          enum:
            - stop
            - length
            - content_filter
            - tool_calls
          example: stop
        logprobs:
          type: object
          nullable: true
          description: 現在のコンテンツの対数確率情報
          properties:
            content:
              type: array
              nullable: true
              description: 各content要素のトークン対数確率情報
              items:
                $ref: '#/components/schemas/LogprobContent'
        moderation_hit_type:
          type: string
          nullable: true
          description: |-
            モデル出力テキストにセンシティブな情報が含まれる場合、ヒットしたリスク分類ラベルを返します

            - `severe_violation`: モデル出力テキストが重大な違反に該当
            - `violence`: モデル出力テキストが過激な行為に該当
          enum:
            - severe_violation
            - violence
    Usage:
      type: object
      description: このリクエストのトークン使用量
      properties:
        total_tokens:
          type: integer
          description: 本次请求消耗的合計トークン数（输入 + 输出）
          example: 271
        prompt_tokens:
          type: integer
          description: モデルに処理させる入力コンテンツのトークン数
          example: 15
        prompt_tokens_details:
          type: object
          description: 入力トークン数の詳細
          properties:
            cached_tokens:
              type: integer
              description: キャッシュされた入力コンテンツのトークン使用量
              example: 0
        completion_tokens:
          type: integer
          description: モデル出力コンテンツに消費されたトークン
          example: 256
        completion_tokens_details:
          type: object
          description: 出力トークン消費の詳細
          properties:
            reasoning_tokens:
              type: integer
              description: 输出思考チェーンの内容花费のトークン 数
              example: 0
    ContentPart:
      oneOf:
        - $ref: '#/components/schemas/TextContent'
        - $ref: '#/components/schemas/ImageContent'
        - $ref: '#/components/schemas/VideoContent'
    ToolCall:
      type: object
      properties:
        id:
          type: string
          description: 呼び出されたツールのID、モデルが生成
        type:
          type: string
          description: ツールタイプ，現在functionのみサポート
          enum:
            - function
        function:
          type: object
          properties:
            name:
              type: string
              description: 呼び出す関数名称
            arguments:
              type: string
              description: >-
                呼び出す関数の入力パラメータ、JSON形式


                **注意**:
                モデルは常に有効なJSONを生成するとは限らず、未定義のパラメータを捏造する可能性があります。関数を呼び出す前にパラメータが有効かどうかを検証することをお勧めします
    AssistantMessage:
      type: object
      properties:
        role:
          type: string
          description: コンテンツ出力のロール、assistantに固定
          enum:
            - assistant
          example: assistant
        content:
          type: string
          description: 模型生成的メッセージの内容
          example: >-
            こんにちは！Doubao Seed
            2.0はByteDanceが発表した次世代大規模言語モデルで、より強力な推論、マルチモーダル理解、ディープシンキング能力を備えています。
        reasoning_content:
          type: string
          nullable: true
          description: |-
            模型处理问题的思考チェーンの内容

            仅在ディープシンキングモードを有効化时返回
        tool_calls:
          type: array
          nullable: true
          description: モデルが生成したツール呼び出し
          items:
            $ref: '#/components/schemas/ToolCall'
    LogprobContent:
      type: object
      properties:
        token:
          type: string
          description: 現在のトークン
        bytes:
          type: array
          nullable: true
          description: 現在のトークンのUTF-8値、整数リスト形式
          items:
            type: integer
        logprob:
          type: number
          description: 現在のトークンの対数確率
        top_logprobs:
          type: array
          description: 現在のトークン位置で最も可能性の高いトークンとその対数確率リスト
          items:
            type: object
            properties:
              token:
                type: string
                description: 現在のトークン
              bytes:
                type: array
                nullable: true
                description: 現在のトークンのUTF-8値
                items:
                  type: integer
              logprob:
                type: number
                description: 現在のトークンの対数確率
    TextContent:
      title: テキスト内容
      type: object
      required:
        - type
        - text
      properties:
        type:
          type: string
          enum:
            - text
          description: コンテンツタイプ
        text:
          type: string
          description: テキスト内容
          example: この画像を詳しく説明してください
    ImageContent:
      title: 画像コンテンツ
      type: object
      required:
        - type
        - image_url
      properties:
        type:
          type: string
          enum:
            - image_url
          description: コンテンツタイプ
        image_url:
          type: object
          required:
            - url
          properties:
            url:
              type: string
              format: uri
              description: |-
                画像URLアドレスまたはBase64エンコード

                **対応形式**:
                - 画像リンク（パブリックアクセス可能）
                - 画像のBase64エンコード
              example: https://example.com/image.png
            detail:
              type: string
              nullable: true
              description: |-
                画像理解の精細度

                - `low`: 低精細度
                - `high`: 高精細度
                - `xhigh`: 超高精細度
              enum:
                - low
                - high
                - xhigh
    VideoContent:
      title: 動画コンテンツ
      type: object
      required:
        - type
        - video_url
      properties:
        type:
          type: string
          enum:
            - video_url
          description: コンテンツタイプ
        video_url:
          type: object
          required:
            - url
          properties:
            url:
              type: string
              format: uri
              description: |-
                動画URLアドレスまたはBase64エンコード

                **対応形式**:
                - 動画リンク（パブリックアクセス可能）
                - 動画のBase64エンコード

                **注意**: 動画内の音声コンテンツの理解はサポートされていません
              example: https://example.com/video.mp4
            fps:
              type: number
              nullable: true
              description: |-
                フレーム抽出頻度

                - 値の範囲: [0.2, 5]
                - 値が高いほど動画の画面変化に敏感になります
                - 値が低いほど動画の画面変化に鈍感になりますが、トークン消費が少なく、速度が速くなります
              minimum: 0.2
              maximum: 5
              default: 1
              example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````